"use strict";

exports.__esModule = true;
exports.disableFieldEdit = exports.enableFieldEdit = void 0;

var enableFieldEdit = function enableFieldEdit(id, operation) {
  return function (dispatch) {
    dispatch({
      type: 'ENABLE_FIELD_EDIT',
      payload: {
        id: id,
        operation: operation
      }
    });
  };
};

exports.enableFieldEdit = enableFieldEdit;

var disableFieldEdit = function disableFieldEdit(id) {
  return function (dispatch) {
    dispatch({
      type: 'DISABLE_FIELD_EDIT',
      payload: {
        id: id
      }
    });
  };
};

exports.disableFieldEdit = disableFieldEdit;