"use strict";

exports.__esModule = true;
exports.processLocalFields = void 0;

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var processLocalFields = function processLocalFields(locals, state) {
  var result = {};

  if (locals && locals.length) {
    var stateKeys = Object.keys(state);
    locals.forEach(function (local) {
      stateKeys.forEach(function (sk) {
        var _extends2, _result$local$key;

        if (sk.includes("_" + local.key)) if (local.key in result) result[local.key] = _extends({}, result[local.key], (_extends2 = {}, _extends2[sk] = state[sk], _extends2));else result[local.key] = (_result$local$key = {}, _result$local$key[sk] = state[sk], _result$local$key);
      });
    });
  }

  return result;
};

exports.processLocalFields = processLocalFields;