"use strict";

exports.__esModule = true;
exports["default"] = configureStore;

var _redux = require("redux");

var _reduxThunk = _interopRequireDefault(require("redux-thunk"));

var _rootReducer = _interopRequireDefault(require("./reducers/rootReducer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function configureStore() {
  return (0, _redux.createStore)(_rootReducer["default"], (0, _redux.applyMiddleware)(_reduxThunk["default"]));
}

module.exports = exports.default;